FROM openjdk:17
ENV APP_FILE inventory-0.0.1-SNAPSHOT.jar
ENV APP_HOME /app
EXPOSE 9092
COPY target/$APP_FILE $APP_HOME/
WORKDIR $APP_HOME
ENTRYPOINT ["sh", "-c"]
CMD ["exec java -Dspring.profiles.active=docker -jar $APP_FILE"]